MINTPY-REFERENCE_DATE(1)

NAME
mintpy-reference_date - Change reference date of timeseries.

DESCRIPTION
usage: reference_date.py [-h] [-r REFDATE] [-t TEMPLATE_FILE] [-o OUTFILE]

[--force] [--ram MAXMEMORY]
    timeseries_file [timeseries_file ...]

Change reference date of timeseries.

  positional arguments:

timeseries_file
    timeseries file(s)

  options:

-h, --help
    show this help message and exit

-r REFDATE, --ref-date REFDATE
    reference date or method, default: auto. e.g. 20101120 time-series HDF5 file with REF_DATE in its attributes reference_date.txt - text file with date in YYYYMMDD format in it minRMS - choose date with min residual standard deviation

-t TEMPLATE_FILE, --template TEMPLATE_FILE
    template file with options

-o OUTFILE, --outfile OUTFILE
    Output file name.

--force
    Force updating the data matrix.

--ram MAXMEMORY, --memory MAXMEMORY
    Max amount of memory in GB to use (default: 4.0). Adjust according to your computer memory.

  template options:

    ## Reference all time-series to one date in time ## reference: Yunjun et al. (2019, section 4.9) ## no - do not change the default reference date (1st date) mintpy.reference.date = auto #[reference_date.txt / 20090214 / no], auto for reference_date.txt

  example:

    reference_date.py timeseries.h5 timeseries_ERA5.h5 timeseries_ERA5_demErr.h5 --template smallbaselineApp.cfg reference_date.py timeseries_ERA5_demErr.h5 --ref-date 20050107